definition module ir

//
// This module contains functions which access the Interface Repository
//
//  It is written in the style of the proposed Clean-CORBA binding
// 
//

import StdEnv, StdDebug

import wrappers, corba

:: DefinitionKind = Dk_none | Dk_all | Dk_Attribute | Dk_Constant | 
		    Dk_Exception | Dk_Interface | Dk_Module | 
		    Dk_Operation | Dk_Typedef |
		    Dk_Alias | Dk_Struct | Dk_Union | Dk_Enum |
		    Dk_Primitive | Dk_String | Dk_Sequence | Dk_Array |
		    Dk_Repository |
		    Dk_Wstring | Dk_Fixed |
		    Dk_Value | Dk_ValueBox | Dk_ValueMember |
	            Dk_Native

:: *Corba_IRObject = { reference :: CorbaObjectPtr }

:: CorbaResult res_type exc_type = Result res_type | Exception exc_type

:: CorbaVoid :== Int

corba_irobject__get_def_kind :: *Corba_IRObject -> 
	(*Corba_IRObject, CorbaResult DefinitionKind CorbaException)
